## fcitx5-keyman 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)

project(fcitx5-keyman VERSION 1.0.2)

include(FeatureSummary)
include(GNUInstallDirs)

find_package(Gettext REQUIRED)
find_package(Fcitx5Core 5.0.10 REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(Keyman REQUIRED IMPORTED_TARGET "keyman_kmn_processor")
pkg_check_modules(JsonC REQUIRED IMPORTED_TARGET "json-c")

add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-keyman\")
fcitx5_add_i18n_definition()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

add_subdirectory(po)
add_subdirectory(src)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Keyman.metainfo.xml.in
                              org.fcitx.Fcitx5.Addon.Keyman.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Keyman.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-keyman (1.0.2-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Feb 2022 21:37:51 -0500

fcitx5-keyman (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1003693)

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jan 2022 14:33:09 -0500

=== debian/control ===
Source: fcitx5-keyman
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gettext,
 libfcitx5core-dev,
 libjson-c-dev,
 libkmnkbp-dev,
 pkg-config,
Standards-Version: 4.6.0
Homepage: https://github.com/fcitx/fcitx5-keyman
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-keyman.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-keyman

Package: fcitx5-keyman
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Description: Fcitx5 wrapper for Keyman keyboarding platform
 fcitx5-keyman is a wrapper of Keyman keyboarding platform for Fcitx5
 IM framework.
 .
 Keyman is now a free and open source keyboarding platform which allows
 anyone to write a keyboard layout for their language.

## fcitx5-keyman 1.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-keyman VERSION 1.0.2)
+project(fcitx5-keyman VERSION 1.0.3)
 
 include(FeatureSummary)
 include(GNUInstallDirs)

=== debian/changelog ===
fcitx5-keyman (1.0.3-1deepin0) unstable; urgency=medium

  [ Debian Input Method Team ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:46:25 +0800

fcitx5-keyman (1.0.3-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:55:43 -0400

## fcitx5-keyman 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-keyman VERSION 1.0.3)
+project(fcitx5-keyman VERSION 1.0.5)
 
 include(FeatureSummary)
 include(GNUInstallDirs)

=== debian/changelog ===
fcitx5-keyman (1.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 15:18:52 -0400

fcitx5-keyman (1.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 00:20:51 -0400

## fcitx5-keyman 1.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-keyman VERSION 1.0.5)
+project(fcitx5-keyman VERSION 1.0.6)
 
 include(FeatureSummary)
 include(GNUInstallDirs)

=== debian/changelog ===
fcitx5-keyman (1.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 12:47:29 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libjson-c-dev,
  libkmnkbp-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/fcitx/fcitx5-keyman
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-keyman.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-keyman

## fcitx5-keyman 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-keyman VERSION 1.0.6)
+project(fcitx5-keyman VERSION 1.0.7)
 
 include(FeatureSummary)
 include(GNUInstallDirs)

=== debian/changelog ===
fcitx5-keyman (1.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Boyuan Yang ]
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Jun 2023 18:39:37 -0400

## fcitx5-keyman 1.0.7%2Bgit20240227

=== src/CMakeLists.txt ===
set(KEYMAN_SOURCES
    engine.cpp
    kmpmetadata.cpp
)
add_library(keyman MODULE ${KEYMAN_SOURCES})
target_link_libraries(keyman Fcitx5::Core Fcitx5::Config PkgConfig::Keyman PkgConfig::JsonC)
set_target_properties(keyman PROPERTIES PREFIX "")
install(TARGETS keyman DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
configure_file(keyman.conf.in.in keyman.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/keyman.conf.in" keyman.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/keyman.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/addon")

## fcitx5-keyman 1.0.7+git20240227

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 find_package(Gettext REQUIRED)
 find_package(Fcitx5Core 5.0.10 REQUIRED)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(Keyman REQUIRED IMPORTED_TARGET "keyman_kmn_processor")
+pkg_check_modules(Keyman REQUIRED IMPORTED_TARGET "keyman_core")
 pkg_check_modules(JsonC REQUIRED IMPORTED_TARGET "json-c")
 
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-keyman\")

=== debian/changelog ===
fcitx5-keyman (1.0.7+git20240227-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:25 +1100

fcitx5-keyman (1.0.7+git20240227-1) unstable; urgency=high

  * Rebuild against keyman 17.x.
  * New upstream release.
    + Port to be compatible with keyman 17.x. (Closes: #1064845)
  * Build-Depends on libkeymancore-dev instead.
  * debian/control: Add build-dep libicu-dev, needed by keyman.

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Feb 2024 12:08:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fcitx5-keyman
 Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -9,10 +10,11 @@
  debhelper-compat (= 13),
  gettext,
  libfcitx5core-dev,
+ libicu-dev,
  libjson-c-dev,
- libkmnkbp-dev,
+ libkeymancore-dev,
  pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/fcitx5-keyman
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-keyman.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-keyman

## fcitx5-keyman 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.4.0)
 
-project(fcitx5-keyman VERSION 1.0.7)
+project(fcitx5-keyman VERSION 1.1.1)
 
 include(FeatureSummary)
 include(GNUInstallDirs)

=== debian/changelog ===
fcitx5-keyman (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 May 2024 18:01:44 -0400

fcitx5-keyman (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 22:58:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcitx5-keyman
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

## fcitx5-keyman 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,16 @@
-cmake_minimum_required(VERSION 3.4.0)
+cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-keyman VERSION 1.1.1)
+project(fcitx5-keyman VERSION 1.1.2)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
+find_package(ECM REQUIRED 1.0.0)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
 include(GNUInstallDirs)
+include(ECMUninstallTarget)
 
 find_package(Gettext REQUIRED)
-find_package(Fcitx5Core 5.0.10 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(Keyman REQUIRED IMPORTED_TARGET "keyman_core")
 pkg_check_modules(JsonC REQUIRED IMPORTED_TARGET "json-c")

=== debian/changelog ===
fcitx5-keyman (1.1.2-2) unstable; urgency=medium

  * debian/patches/066e3ef80f73e236592c8d743bf3be88a06c3c16.patch:
    Apply patches from upstream to fix compatibility with keyman 18.x.
    (Closes: #1099094)

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Feb 2025 10:56:00 -0500

fcitx5-keyman (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Jan 2025 19:53:11 -0500

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
+ extra-cmake-modules,
  gettext,
- libfcitx5core-dev,
+ libfcitx5core-dev (>= 5.1.12),
  libicu-dev,
  libjson-c-dev,
- libkeymancore-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ libkeymancore-dev (>= 18),
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/fcitx/fcitx5-keyman
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-keyman.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-keyman

## fcitx5-keyman 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-keyman VERSION 1.1.2)
+project(fcitx5-keyman VERSION 1.1.3)
 
 set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM REQUIRED 1.0.0)
@@ -12,7 +12,7 @@
 find_package(Gettext REQUIRED)
 find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(Keyman REQUIRED IMPORTED_TARGET "keyman_core")
+pkg_check_modules(Keyman REQUIRED IMPORTED_TARGET "keyman_core>=18")
 pkg_check_modules(JsonC REQUIRED IMPORTED_TARGET "json-c")
 
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-keyman\")

=== debian/changelog ===
fcitx5-keyman (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/*: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Thu, 01 May 2025 22:04:04 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libjson-c-dev,
  libkeymancore-dev (>= 18),
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fcitx/fcitx5-keyman
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-keyman.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-keyman

## fcitx5-keyman 1.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-keyman VERSION 1.1.3)
+project(fcitx5-keyman VERSION 1.1.4)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-keyman)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
     engine.cpp
     kmpmetadata.cpp
 )
-add_library(keyman MODULE ${KEYMAN_SOURCES})
+add_fcitx5_addon(keyman ${KEYMAN_SOURCES})
 target_link_libraries(keyman Fcitx5::Core Fcitx5::Config PkgConfig::Keyman PkgConfig::JsonC)
 set_target_properties(keyman PROPERTIES PREFIX "")
 install(TARGETS keyman DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")

=== debian/changelog ===
fcitx5-keyman (1.1.4-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:35:42 -0400

fcitx5-keyman (1.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 17:08:32 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  cmake,
  extra-cmake-modules,
  gettext,
- libfcitx5core-dev (>= 5.1.12),
+ libfcitx5core-dev (>= 5.1.14-4~),
  libicu-dev,
  libjson-c-dev,
  libkeymancore-dev (>= 18),

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-keyman/ \
 @PACKAGE@-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate

## fcitx5-keyman 1.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-keyman VERSION 1.1.4)
+project(fcitx5-keyman VERSION 1.1.5)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM REQUIRED 1.0.0)
@@ -11,9 +11,9 @@
 
 find_package(Gettext REQUIRED)
 find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
+find_package(nlohmann_json REQUIRED)
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(Keyman REQUIRED IMPORTED_TARGET "keyman_core>=18")
-pkg_check_modules(JsonC REQUIRED IMPORTED_TARGET "json-c")
 
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-keyman\")
 fcitx5_add_i18n_definition()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
     kmpmetadata.cpp
 )
 add_fcitx5_addon(keyman ${KEYMAN_SOURCES})
-target_link_libraries(keyman Fcitx5::Core Fcitx5::Config PkgConfig::Keyman PkgConfig::JsonC)
+target_link_libraries(keyman Fcitx5::Core Fcitx5::Config PkgConfig::Keyman nlohmann_json::nlohmann_json)
 set_target_properties(keyman PROPERTIES PREFIX "")
 install(TARGETS keyman DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 configure_file(keyman.conf.in.in keyman.conf.in)

=== debian/changelog ===
fcitx5-keyman (1.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 14:59:16 -0500

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  gettext,
  libfcitx5core-dev (>= 5.1.14-4~),
  libicu-dev,
- libjson-c-dev,
  libkeymancore-dev (>= 18),
+ nlohmann-json3-dev,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/fcitx5-keyman
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-keyman.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-keyman
